<?php
class AddedApiSiteIdFieldToOrderAndOrderItemsTables extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'added_api_site_id_field_to_order_and_order_items_tables';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'buzz_photos_activity_group_sites' => array(
					'stock_code' => array('type' => 'string', 'null' => true, 'default' => null, 'collate' => 'utf8mb4_general_ci', 'charset' => 'utf8mb4', 'after' => 'api_key'),
				),
				'buzz_photos_order_items' => array(
					'api_site_id' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false, 'after' => 'api_ref'),
				),
				'buzz_photos_orders' => array(
					'api_site_id' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false, 'after' => 'newsletter_opt_in'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'buzz_photos_activity_group_sites' => array('stock_code'),
				'buzz_photos_order_items' => array('api_site_id'),
				'buzz_photos_orders' => array('api_site_id'),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
