<?php
App::uses('BuzzPhotosAppModel', 'BuzzPhotos.Model');

class ActivityGroup extends BuzzPhotosAppModel {

	public $actsAs = array(
		'Routable.Routable' => array(
			'alias' => 'activity-photos/:displayField',
			'actual' => ':plugin/:controller/view/:primaryKey'
		),
		'MetaData.Meta',
		'BuzzTranslate.Translatable',
	);

	public $imageSlots = array(
		'main' => array(
			'slots' => 1,
			'fields' => array()
		),
		'feature' => array(
			'slots' => 1,
			'fields' => array()
		)
	);

/**
 * Validation rules
 * @var array
 */
	public $validate = array(
		'name' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'Required'
			),
			'maxLength' => array(
				'rule' => array('maxLength', 150),
				'message' => 'No more than 150 characters'
			)
		),
		'stock_code' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'Required'
			)
		),
	);

	public $hasMany = [
		'BuzzPhotos.ActivityGroupSite'
	];

	/**
	 * Query used to retrieve a record ready for edit
	 *
	 * @param integer $id ID of row to edit
	 * @param array $query The db query array - can be used to pass in additional parameters such as contain
	 * @return array
	 */
	public function readForEdit($id, $query = array()) {
		$query['contain'][] = 'ActivityGroupSite';
		return parent::readForEdit($id, $query);
	}
}
